List Events

List events

get

Returns a paginated list of events with optional filters.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pageintegerOptional

Page number (default: 1)

Default: 1
limitinteger · max: 100Optional

Number of events per page (default: 10, max: 100)

Default: 10
performerstringOptional

Filter by performer slug

marketplaceintegerOptional

Filter by marketplace ID

countryCodestringOptional

Filter by country code(s). Multiple values as comma-separated ISO 3166-1 alpha-2 codes (e.g. DE,AT,CH). Only events in the given countries are returned.

Example: DE,AT,CH
dateFromstring · dateOptional

Filter events with event date on or after this date (inclusive). Format Y-m-d (e.g. 2025-01-01).

Example: 2025-01-01
dateTostring · dateOptional

Filter events with event date on or before this date (inclusive). Format Y-m-d (e.g. 2025-12-31).

Example: 2025-12-31
sortstring · enumOptional

Sort order for the event list. By event date (date_asc, date_desc) or by event ID (id_asc). Default is id_asc.

Default: id_ascPossible values:
Responses
get
/events

Last updated